import HomeParent from "@/views/home/Common/HomeParent";
import {Component, Prop, Vue} from "vue-property-decorator";
import SvgIcon  from '@/components/SvgIcon.vue'


@Component({
    components : {
        SvgIcon
    }
})
export default class phoneCard extends Vue {
    name:string = 'phoneCard'

    @Prop({type : Array, default : () => []})
    dataList : Array<any>;

    public edit(e) {
        if (e.is_running == 1) {
            this.$Message.error({
                content:'设备正在运行中，无法编辑'
            })
            return
        }
        this.$emit('edit-device',e)
    }
    public del(e) {
        this.$emit('del-device',e)
    }
    public exec(e) {
        this.$emit('exec',e)
    }

    public copyLink(e){
        this.$Notice.info({
            title:'链接地址',
            desc:e.connect_url,
            duration:3
        })
    }
}