import Vue from 'vue'
import App from "./App.vue"
import store from '../home/store'
import Http, { get, post } from "@/utils/Http";
import router from "@/views/wap/router";
const sprintf = require('sprintf-js');
import "../../plugins/vant";
Http.store = store;
Http.router = router;
Http.baseUri = '/rest/api/'

Vue.prototype.$http = Http;
Vue.config.devtools = process.env.NODE_ENV !== 'production';
// Vue.config.devtools = true;
Vue.config.silent = process.env.NODE_ENV === 'production';
// Vue.config.silent = false;
Vue.config.productionTip = process.env.NODE_ENV !== 'production';
Vue.prototype.$isDev = process.env.NODE_ENV !== 'production';

Vue.prototype.$sprintf = sprintf.sprintf;

new Vue({
    router,
    store,
    render : h => h(App),
    created() {
        this.$http.vue = this;
    }
}).$mount('#app')