import {Component, Mixins, Vue, Watch} from 'vue-property-decorator'
import {
    State,
    Getter,
    Action,
    Mutation,
} from "vuex-class";
import WapParent from "@/views/wap/Common/WapParent";

@Component
export default class Layout extends WapParent {

    public active : number = 0
    public showMenu: boolean = false;

    public created() {
        console.log(this.$router);
    }

    public showMore() : void {
        this.showMenu = !this.showMenu;
    }


    public go(name) : void {
        this.showMenu = false;
        this.goPage(name);
    }

    public onClickLeft() : void {
    }

    public onClickRight() : void {
    }
}