import {ActionContext} from "vuex";
import Http, { ResponseErrorInterface, ResponseInterface } from "@/utils/Http";
import Types from "@/views/admin/store/types";
import { User } from "@/interface/User";

const sprintf = require('sprintf-js');

export interface UserState {
    user : User,
    token : string | undefined
}

export default {
    name : "user",
    namespace : true,
    state : {
        user : {},
        token : undefined
    },
    actions : {
        // Login(context : ActionContext<UserState, any>, form : any) {
        //     return Http.post(AdminUrl.LOGIN, form).then((res : ResponseInterface) => {
        //         console.log(res);
        //         context.commit(Types.SET_USER_INFO, res.data);
        //         context.commit(Types.SET_USER_TOKEN, res.data.access_token);
        //         return Promise.resolve(res.data);
        //     }).catch((err : ResponseErrorInterface) => {
        //         return Promise.reject(err);
        //     })
        // },
    },
    mutations : {
        [Types.SET_USER_INFO](state : UserState, user : User) {
            state.user = user;
        },
        [Types.SET_USER_TOKEN](state : UserState, token : string) {
            state.token = token;
        }
    }
}