import {ActionContext} from "vuex";
import Http, { ResponseErrorInterface, ResponseInterface } from "@/utils/Http";
import Types from "@/views/home/store/types";
import { UserInterface } from "@/views/home/Common/Types";

const sprintf = require('sprintf-js');

export interface UserState {
    user : UserInterface,
    token : string | undefined,
}

export default {
    name : "user",
    namespace : true,
    state : {
        user : {},
        token : undefined,
        isLogin : false
    },
    actions : {
        Login(context : ActionContext<UserState, any>, form : any) {
            // return Http.post(Url.LOGIN, form).then((res : ResponseInterface) => {
            //     context.commit(Types.SET_USER_INFO, res.data);
            //     context.commit(Types.SET_USER_TOKEN, res.data.access_token);
            //     return Promise.resolve(res.data);
            // }).catch((err : string) => {
            //     return Promise.reject(err);
            // })
        },

    },
    mutations : {
        [Types.SET_USER_INFO](state : UserState, user : UserInterface) {
            state.user = user;
        },
        [Types.SET_USER_TOKEN](state : UserState, token : string) {
            state.token = token;
            // state.isLogin = token.length > 0;
        },
    }
}